Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Interface ShellListener

All Known Implementing Classes:
  ShellAdapter

public interface ShellListener

Classes which implement this interface provide methods that deal with changes in state of `Shell`s.

After creating an instance of a class that implements this interface it can be added to a shell using the `addShellListener` method and removed using the `removeShellListener` method. When the state of the shell changes, the appropriate method will be invoked.

See Also:
  `ShellAdapter`, `ShellEvent`

Method Summary
`void` `shellActivated(ShellEvent e)` Sent when a shell becomes the active window.
`void` `shellClosed(ShellEvent e)` Sent when a shell is closed.
`void` `shellDeactivated(ShellEvent e)` Sent when a shell stops being the active window.

Method Detail

### shellActivated

    public void shellActivated(ShellEvent e)

  Sent when a shell becomes the active window.

  Parameters:
    `e` - an event containing information about the activation

### shellClosed

    public void shellClosed(ShellEvent e)

  Sent when a shell is closed.

  Parameters:
    `e` - an event containing information about the close

### shellDeactivated

    public void shellDeactivated(ShellEvent e)

  Sent when a shell stops being the active window.

  Parameters:
    `e` - an event containing information about the deactivation

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.